import { Injectable } from '@angular/core';
import { ChangeOrderItemStatusBaseActionHandler } from './change-order-item-status-base.action-handler';
import { OrderItemListItemDTO, StatusValues } from '@swagger/oms';
import { DomainOmsService } from '../oms.service';
import { OrderItemsContext } from './order-items.context';

@Injectable()
export class CanceledByRetailerActionHandler extends ChangeOrderItemStatusBaseActionHandler {
  constructor(domainOmsService: DomainOmsService) {
    super(domainOmsService, 'CANCELEDBYRETAILER');
  }

  getStatusValues(orderItem: OrderItemListItemDTO, context: OrderItemsContext): StatusValues {
    return {
      processingStatus: 1024,
    };
  }
}
